// Y-Axis
export const AxisLeft = ({ yScale, tickFormat, innerWidth, tickOffset = 3 }) =>
  yScale.ticks().map((tickValue) => (
    <g
      className="tick"
      key={tickValue}
      transform={`translate(${0}, ${yScale(tickValue)})`}
    >
      <line x2={innerWidth} />
      <text style={{ textAnchor: 'end' }} x={-tickOffset} dy=".32em">
        {tickFormat(tickValue)}
      </text>
    </g>
  ));
